
$ErrorActionPreference = 'Stop';

$packageName = 'sed'
$url = 'https://sourceforge.net/projects/gnuwin32/files//sed/4.2.1/sed-4.2.1-bin.zip/download'
$checksum = 'ae1651ffb461d69a7c51c76867a859d8addf802b85678834c0ebb402ef79b3cd'
$url64 = 'https://sourceforge.net/projects/gnuwin32/files//sed/4.2.1/sed-4.2.1-bin.zip/download'
$checksum64 = 'ae1651ffb461d69a7c51c76867a859d8addf802b85678834c0ebb402ef79b3cd'

$tools = Get-ToolsLocation
$root = Join-Path $tools $packageName
New-Item -ItemType Directory -Force -Path $root | Out-Null

$directories = @()
Get-ChildItem -Path $root -Filter *.exe -Recurse -File -Name| ForEach-Object {
	$fullpath = Join-Path $root $_
	$directories += [System.IO.Path]::GetDirectoryName($fullpath)
}

$path = [System.Environment]::GetEnvironmentVariable(
    'PATH',
    'Machine'
)

$directories | Sort-Object | Get-Unique | ForEach-Object {

	$unwanted = $_ 
	$path = ($path.Split(';') | Where-Object { $_ -ne $unwanted }) -join ';'
}

[System.Environment]::SetEnvironmentVariable(
    'PATH',
    $path,
    'Machine'
)

Remove-Item -Recurse -Force $root

Install-ChocolateyZipPackage -PackageName "$packageName" -Url "$url" -UnzipLocation "$root" -Url64bit "$url64" -Checksum "$checksum" -ChecksumType 'sha256' -Checksum64 "$checksum64" -ChecksumType64 'sha256'

$directories = @()
Get-ChildItem -Path $root -Filter *.exe -Recurse -File -Name| ForEach-Object {
	$fullpath = Join-Path $root $_
	$directories += [System.IO.Path]::GetDirectoryName($fullpath)
}

$directories | Sort-Object | Get-Unique | ForEach-Object {
	Install-ChocolateyPath -PathToInstall "$_" -PathType 'Machine'
}

