
$ErrorActionPreference = 'Stop'; 

$packageName = $env:ChocolateyPackageName

$tools = Get-ToolsLocation
$root = Join-Path $tools $packageName

$directories = @()
Get-ChildItem -Path $root -Filter *.exe -Recurse -File -Name| ForEach-Object {
	$fullpath = Join-Path $root $_
	$directories += [System.IO.Path]::GetDirectoryName($fullpath)
}

$path = [System.Environment]::GetEnvironmentVariable(
    'PATH',
    'Machine'
)

$directories | Sort-Object | Get-Unique | ForEach-Object {

	$unwanted = $_ 
	$path = ($path.Split(';') | Where-Object { $_ -ne $unwanted }) -join ';'
}

[System.Environment]::SetEnvironmentVariable(
    'PATH',
    $path,
    'Machine'
)

Remove-Item -Recurse -Force $root

